gnutls_openpgp_privkey_export(3)

NAME
gnutls_openpgp_privkey_export - export a RAW or BASE64 encoded key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_export(gnutls_openpgp_privkey_t key, gnutls_openpgp_crt_fmt_t format, const char * password, unsigned int flags, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_openpgp_privkey_t key
    Holds the key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

const char * password
    the password that will be used to encrypt the key. (unused for now)

unsigned int flags
    zero for future compatibility

void * output_data
    will contain the key base64 encoded or raw

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will convert the given key to RAW or Base64 format. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.